## plasma-workspace 6.5.5

=== debian/changelog ===
plasma-workspace (4:6.5.5-0ubuntu5) resolute; urgency=medium

  * Update build deps for Qt 6.10

 -- Rik Mills <rikmills@kde.org>  Tue, 17 Feb 2026 07:48:42 +0000

plasma-workspace (4:6.5.5-0ubuntu4) resolute; urgency=medium

  * No-change rebuild for Qt 6.10.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Sun, 15 Feb 2026 12:58:51 +0000

plasma-workspace (4:6.5.5-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 23:10:59 +0000

plasma-workspace (4:6.5.5-0ubuntu2) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Fri, 16 Jan 2026 18:28:23 +0000

plasma-workspace (4:6.5.5-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Jan 2026 15:08:17 +0000

plasma-workspace (4:6.5.4-0ubuntu2) resolute; urgency=high

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Dec 2025 17:41:40 +0000

plasma-workspace (4:6.5.4-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Dec 2025 11:21:20 +0000

plasma-workspace (4:6.5.3-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for icu soname.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 04 Dec 2025 19:00:49 +0100

plasma-workspace (4:6.5.3-0ubuntu2) resolute; urgency=medium

  * Rebuild for release.

 -- Rik Mills <rikmills@kde.org>  Fri, 21 Nov 2025 15:59:11 +0000

plasma-workspace (4:6.5.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Nov 2025 12:09:55 +0000

plasma-workspace (4:6.5.2-0ubuntu2) resolute; urgency=medium

  * No-change rebuild for libpackagekitqt6-2.

 -- Rik Mills <rikmills@kde.org>  Fri, 07 Nov 2025 09:56:04 +0000

plasma-workspace (4:6.5.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Nov 2025 17:14:36 +0000

plasma-workspace (4:6.5.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 29 Oct 2025 05:48:59 +0000

plasma-workspace (4:6.5.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.5.0)
  * Build depend on knighttime-dev.
  * Update install files.
  * Remove no longer built packages libcolorcorrect6 and libweather-
    ion7.
  * Add new library package libklookandfeel6
  * Update symbols.
  * Depend on knighttime for the kcm.
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Oct 2025 18:39:40 +0100

plasma-workspace (4:6.4.5-0ubuntu4) questing; urgency=medium

  * Add upstream patch requested by KDE developers to fix a common crash
    with Qt 6.9.2.
    https://mail.kde.org/pipermail/distributions/2025-September/001617.html
    https://bugs.kde.org/509192

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Sep 2025 05:49:58 +0100

plasma-workspace (4:6.4.5-0ubuntu3) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Sep 2025 07:52:10 +0100

plasma-workspace (4:6.4.5-0ubuntu2) questing; urgency=medium

  * plasma-session-x11 recommends kwin-x11

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Sep 2025 02:31:57 +0100

plasma-workspace (4:6.4.5-0ubuntu1) questing; urgency=medium

  * New upstream release (6.4.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Sep 2025 17:04:10 +0100

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: appmenu-gtk3-module,
               breeze-dev (>= 4:6.5.5~),
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-python3,
               dh-sequence-sodeps,
               extra-cmake-modules (>= 6.18.0~),
               kded6-dev (>= 6.18.0~),
               kirigami-addons-dev (>= 1.0.0~),
               knighttime-dev (>= 6.5.5~),
               kscreenlocker-dev (>= 6.5.5~),
               kwayland-dev (>= 4:6.5.5~),
               kwin-dev (>= 4:6.5.5~),
               libappstreamqt-dev (>= 1.0.0~),
               libcanberra-dev,
               libdbus-1-dev,
               libdrm-dev,
               libfontconfig-dev,
               libice-dev,
               libicu-dev,
               libkexiv2qt6-dev,
               libkf6archive-dev (>= 6.18.0~),
               libkf6auth-dev (>= 6.18.0~),
               libkf6baloo-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6declarative-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6globalaccel-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.18.0~),
               libkf6holidays-dev (>= 6.18.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6idletime-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kcmutils-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6networkmanagerqt-dev (>= 6.18.0~),
               libkf6newstuff-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6notifyconfig-dev (>= 6.18.0~),
               libkf6package-dev (>= 6.18.0~),
               libkf6parts-dev (>= 6.18.0~),
               libkf6prison-dev (>= 6.18.0~),
               libkf6runner-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.18.0~),
               libkf6svg-dev (>= 6.18.0~),
               libkf6texteditor-dev (>= 6.18.0~),
               libkf6textwidgets-dev (>= 6.18.0~),
               libkf6unitconversion-dev (>= 6.18.0~),
               libkf6userfeedback-dev (>= 6.18.0~),
               libkf6wallet-dev (>= 6.18.0~),
               libkirigami-dev (>= 6.18.0~),
               libkpipewire-dev (>= 6.5.5~),
               libkscreen-dev (>= 4:6.5.5~),
               libksysguard-dev (>= 4:6.5.5~),
               liblayershellqtinterface-dev (>= 6.5.5~),
               libpackagekitqt6-dev,
               libphonon4qt6-dev (>= 4:4.6.60~),
               libphonon4qt6experimental-dev,
               libpipewire-0.3-dev,
               libplasma-dev (>= 6.5.5~),
               libplasma5support-dev (>= 4:6.5.5~),
               libplasmaactivities-dev (>= 6.5.5~),
               libplasmaactivitiesstats-dev (>= 6.5.5~),
               libpolkit-qt6-1-dev,
               libqalculate-dev (>= 2.0~),
               libquickcharts-dev (>= 6.18.0~),
               libsm-dev,
               libsystemd-dev,
               libudev-dev,
               libwayland-dev,
               libx11-dev,
               libxcb-composite0-dev,
               libxcb-cursor-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-randr0-dev,
               libxcb-shape0-dev,
               libxcb-util-dev,
               libxcb-xfixes0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxfixes-dev,
               libxft-dev,
               libxrender-dev,
               libxtst-dev,
               pkgconf,
               plasma-wayland-protocols (>= 1.6~),
               qcoro-qt6-dev,
               qml6-module-org-kde-prison (>= 6.18.0~),
               qt6-5compat-dev (>= 6.9.0~),
               qt6-base-dev (>= 6.9.0~),
               qt6-base-dev-tools (>= 6.10.0~),
               qt6-declarative-dev (>= 6.9.0~),
               qt6-declarative-private-dev (>= 6.9.0~),
               qt6-location-dev (>= 6.9.0~),
               qt6-positioning-dev (>= 6.9.0~),
               qt6-shadertools-dev (>= 6.9.0~),
               qt6-svg-dev (>= 6.9.0~),
               qt6-wayland-dev (>= 6.9.0~),
               systemd-dev,
               zlib1g-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/plasma/plasma-workspace
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/plasma-workspace
Rules-Requires-Root: no

Package: libbatterycontrol6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace battery control library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the battery control library files.

Package: libkfontinst6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace fonts installation library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the fonts installation library files.

Package: libkfontinstui6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace UI components for fonts installation
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides UI components to manage fonts installation
 used in the fonts installation KCM configuration screen.
 .
 This package contains the library files for the fonts installation
 UI components.

Package: libklipper6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspaces Klipper library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 Klipper is the Plasma clipboard utility. It stores clipboard
 history, and allows you to link clipboard contents to application
 actions.
 .
 This package contains the Klipper library files.

Package: libklookandfeel6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspaces KLookAndFeel library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This package contains the KLookAndFeel library files.

Package: libkmpris6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace MPRIS library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library can be used to control Media Player Remote Interfacing
 Specification-compatible media players.
 .
 This package contains Plasma Workspace MPRIS library files.

Package: libkworkspace6-6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library provides the core features of Plasma Workspace like
 display, login and session management.
 .
 This package contains the main Plasma Workspace library files.

Package: libnotificationmanager1
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace notification manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 This library is responsible for listing notifications, closing them
 and interacting with them in Plasma.
 .
 This package contains the notification manager library files.

Package: libtaskmanager6
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Plasma Workspace task manager library
 Plasma Workspace is used as the base for Plasma Desktop, Mobile, and
 Bigscreen. It contains shared KCM configuration screens, applets as
 well as multiple libraries.
 .
 The task manager library provides various abstractions for listing
 windows, startup tasks and launcher jobs.
 .
 This package contains the task manager library files.

Package: plasma-session-wayland
Architecture: any
Depends: kwin-wayland (>= 4:6.4.0~),
         plasma-workspace (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-workspace (<< 4:6.4.3), plasma-workspace-wayland,
Replaces: plasma-workspace (<< 4:6.4.3), plasma-workspace-wayland,
Description: Plasma Workspace for KF6
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the Wayland session files.

Package: plasma-session-x11
Architecture: any
Depends: plasma-workspace (= ${binary:Version}),
         xorg,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: kwin-x11 (>= 4:6.4.0~),
Breaks: plasma-workspace (<< 4:6.4.3),
Replaces: plasma-workspace (<< 4:6.4.3),
Description: Plasma Workspace for KF6
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the X11 session files.

Package: plasma-workspace
Architecture: any
Depends: default-dbus-session-bus | dbus-session-bus,
         drkonqi (>= 6.2.90~),
         frameworkintegration6,
         gdb,
         iso-codes,
         kactivitymanagerd (>= 6.2.90~),
         kded6,
         kglobalacceld (>= 6.2.90~),
         knighttime (>= 6.5.0~),
         kwin-common (>= 4:6.2.90~),
         kwin-wayland (>= 4:6.2.90~),
         libkf6config-bin,
         milou (>= 4:6.2.90~),
         plasma-desktoptheme,
         plasma-integration (>= 6.2.90~),
         plasma-workspace-data (>= ${source:Version}),
         python3:any,
         qdbus-qt6,
         qml6-module-org-kde-activities,
         qml6-module-org-kde-breeze,
         qml6-module-org-kde-config,
         qml6-module-org-kde-coreaddons,
         qml6-module-org-kde-draganddrop,
         qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kholidays,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kirigamiaddons-components,
         qml6-module-org-kde-kitemmodels,
         qml6-module-org-kde-kquickcontrols,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-org-kde-ksvg,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-kwindowsystem,
         qml6-module-org-kde-newstuff,
         qml6-module-org-kde-notifications,
         qml6-module-org-kde-pipewire,
         qml6-module-org-kde-plasma-plasma5support,
         qml6-module-org-kde-prison,
         qml6-module-org-kde-quickcharts,
         qml6-module-org-kde-userfeedback,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtcore,
         qml6-module-qtpositioning,

## plasma-workspace 6.5.5+p24.04+vstable+git20260130.1119

=== debian/changelog ===
plasma-workspace (4:6.5.5+p24.04+vstable+git20260130.1119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 11:19:55 +0000

plasma-workspace (4:6.5.5-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Jan 2026 06:31:02 +1000

## plasma-workspace 6.5.5+p24.04+vstable+git20260201.0344

=== libtaskmanager/autotests/CMakeLists.txt ===
set(samplewidgetwindowExecutablePath ${CMAKE_BINARY_DIR}/bin/samplewidgetwindow)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/data/windows/samplewidgetwindow.h.in
    ${CMAKE_BINARY_DIR}/samplewidgetwindow.h
    @ONLY
)
set(samplewidgetwindow_SOURCES ${CMAKE_CURRENT_SOURCE_DIR}/data/windows/samplewidgetwindow.cpp)
add_executable(samplewidgetwindow ${samplewidgetwindow_SOURCES})
target_link_libraries(samplewidgetwindow Qt::Core Qt::Gui)

ecm_add_tests(
    tasktoolstest.cpp
    tasksmodeltest.cpp
    launchertasksmodeltest.cpp
    LINK_LIBRARIES taskmanager Qt::Test KF6::Service KF6::ConfigCore
)

if (WITH_X11)
    # Require QX11Info to set window state
    ecm_add_test(xwindowtasksmodeltest.cpp LINK_LIBRARIES taskmanager Qt::Test Qt::GuiPrivate XCB::XCB Plasma::Activities KF6::Service KF6::IconThemes KF6::WindowSystem)
endif()

# Require kwin_wayland, and KWIN_WAYLAND_NO_PERMISSION_CHECKS doesn't work on FreeBSD
if(NOT CMAKE_SYSTEM_NAME MATCHES "Linux")
    return()
endif()
add_executable(waylandtasksmodeltest waylandtasksmodeltest.cpp)
target_link_libraries(waylandtasksmodeltest PRIVATE taskmanager Qt::Test Qt::DBus Qt::GuiPrivate Qt::WaylandClient Wayland::Client KF6::Service KF6::IconThemes KF6::WindowSystem)

add_test(
    NAME waylandtasksmodeltest
    COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/waylandtasksmodeltestwrapper.py ${CMAKE_BINARY_DIR}/bin/waylandtasksmodeltest
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
)
set_tests_properties(waylandtasksmodeltest PROPERTIES TIMEOUT 60)

=== debian/changelog ===
plasma-workspace (4:6.5.5+p24.04+vstable+git20260201.0344-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 03:44:15 +0000

=== debian/control ===
Source: plasma-workspace
Section: kde
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: appmenu-gtk2-module,
               appmenu-gtk3-module,
               breeze-dev,
               cmake,
               debhelper-compat (= 13),
               dh-apparmor,
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kcolorscheme-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdeclarative-dev,
               kf6-kded-dev,
               kf6-kdesu-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-kglobalaccel-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-kirigami-addons-dev,
               kf6-kirigami2-dev,
               kf6-kitemmodels-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kpackage-dev,
               kf6-kparts-dev,
               kf6-kpeople-dev,
               kf6-kquickcharts-dev,
               kf6-krunner-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ksvg-dev,
               kf6-ktexteditor-dev,
               kf6-ktextwidgets-dev,
               kf6-kunitconversion-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-networkmanager-qt-dev,
               kf6-prison-dev,
               kf6-solid-dev,
               kf6-syntax-highlighting-dev,
               knighttime-dev,
               kscreenlocker-dev,
               kwayland-dev,
               kwin-dev,
               libappstreamqt-dev,
               libboost-dev,
               libcanberra-dev,
               libcups2-dev,
               libdbus-1-dev,
               libdbusmenu-qt6-dev,
               libdrm-dev,
               libgps-dev,
               libicu-dev,
               libkexiv2-dev,
               libkf6screen-dev,
               libkpipewire-dev,
               libksysguard-dev,
               liblayershellqtinterface-dev,
               libmpfr-dev,
               libnm-dev | libnm-glib-dev,
               libpackagekitqt6-dev,
               libpam0g-dev,
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libpipewire-0.3-dev,
               libplasma-dev,
               libpolkit-qt6-1-dev,
               libqalculate-dev,
               libraw1394-dev,
               libsm-dev,
               libsystemd-dev,
               libudev-dev,
               libusb-dev,
               libwayland-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxapian-dev,
               libxcb-composite0-dev,
               libxcb-damage0-dev,
               libxcb-image0-dev,
               libxcb-keysyms1-dev,
               libxcb-randr0-dev,
               libxcb-shm0-dev,
               libxcb-util-dev | libxcb-util0-dev,
               libxcb1-dev,
               libxcursor-dev,
               libxft-dev,
               libxi-dev,
               libxkbcommon-dev,
               libxkbfile-dev,
               libxrandr-dev,
               libxrender-dev,
               libxtst-dev,
               lm-sensors,
               pkg-kde-tools-neon,
               pkgconf,
               plasma-activities-dev,
               plasma-activities-stats-dev,
               plasma-wayland-protocols,
               plasma5support-dev,
               qcoro-qt6-dev,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-location-dev,
               qt6-phonon-dev,
               qt6-positioning-dev,
               qt6-sensors-dev,
               qt6-svg-dev,
               qt6-tools-dev,
               qt6-wayland-dev,
               qt6-wayland-dev-tools,
               wayland-protocols,
               xcb-proto
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-workspace
Vcs-Git: https://invent.kde.org/neon/kde/plasma-workspace.git
Vcs-Browser: https://invent.kde.org/neon/kde/plasma-workspace
Maintainer: Neon CI <neon@kde.org>

Package: plasma-workspace
Architecture: any
Section: kde
X-Neon-MergedPackage: true
Depends: accountsservice,
         appmenu-gtk2-module,
         appmenu-gtk3-module,
         dbus-x11,
         drkonqi,
         gdb-minimal | gdb,
         iso-codes,
         kactivitymanagerd,
         kf6-frameworkintegration,
         kf6-kactivities,
         kf6-kcmutils,
         kf6-kcoreaddons,
         kf6-kdeclarative,
         kf6-kded,
         kf6-kglobalaccel,
         kf6-kholidays,
         kf6-kio,
         kf6-kirigami-addons,
         kf6-kirigami2,
         kf6-knewstuff,
         kf6-knotifications,
         kf6-kquickcharts,
         kf6-kservice,
         kf6-kwindowsystem,
         kf6-prison,
         kf6-qqc2-desktop-style,
         kio-extras,
         kwin-common,
         kwin-wayland,
         language-selector-common,
         layer-shell-qt,
         libdbusmenu-qt6-2,
         libplasma6,
         milou,
         ocean-sound-theme,
         plasma-activities,
         plasma-integration,
         plasma-wayland-protocols,
         plasma5support (>= 6.5.5),
         python3:any,
         qml6-module-org-kde-ksysguard,
         qml6-module-org-kde-pipewire,
         qml6-module-org-kde-userfeedback,
         qml6-module-qt-labs-folderlistmodel,
         qml6-module-qt5compat-graphicaleffects,
         qml6-module-qtquick-virtualkeyboard,
         qt6-declarative,
         qt6-location,
         qt6-tools,
         qt6-wayland,
         udisks2,
         x11-utils,
         x11-xserver-utils,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: libtaskmanager6-abi-1
Replaces: libcolorcorrect5,
          libkfontinst5,
          libkfontinstui5,
          libkmpris5,
          libkworkspace6-6,
          libnotificationmanager1,
          libplasma-geolocation-interface5,
          libtaskmanager6,
          libtaskmanager6abi1,
          libweather-ion7,
          plasma-desktop (<< 4:6.3.80),
          plasma-workspace-data,
          plasma-workspace-dbg,
          plasma-workspace-dev (<< 4:6.0.0-1),
          plasma-workspace-wayland,
          sddm-theme-breeze,
          xdg-desktop-portal-kde (<< 6.2.0)
Breaks: plasma-desktop (<< 4:6.3.80),
        plasma-workspace-dev (<< 4:6.0.0-1),
        powerdevil-data (<< 4:6.1.0),
        xdg-desktop-portal-kde (<< 6.2.0)
Recommends: kde-cli-tools, libpam-kwallet5, plasma-workspace-wallpapers
Description: Plasma Workspace for KF6
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 THIS WILL REMOVE YOUR KDE Plasma 5.

Package: plasma-workspace-dev
Architecture: any
Section: kde>>
X-Neon-MergedPackage: true
Depends: kf6-kcoreaddons-dev,
         kf6-kitemmodels-dev,
         kf6-kwindowsystem-dev,
         kwin-dev,
         libksysguard-dev,
         libplasma-dev,
         plasma-workspace (= ${binary:Version}),
         plasma5support-dev (>= 6.5.5),
         qt6-base-dev,
         qt6-declarative-dev,
         ${misc:Depends}
Conflicts: kde-workspace-dev
Description: Plasma Workspace for KF6 devel files
 Plasma Workspace for KF6. Workspaces provide
 support for KDE Plasma Widgets, integrated search,
 hardware management and a high degree of customizability.
 .
 This package contains the development files.

Package: libcolorcorrect5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkfontinst5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkfontinstui5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkmpris5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkworkspace5-5
Architecture: all
Depends: libkworkspace6-6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkworkspace6-6
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Replaces: libkworkspace5-5
Description: Dummy transitional
 Transitional dummy package

Package: libnotificationmanager1
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libplasma-geolocation-interface5
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libweather-ion7
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libtaskmanager6abi1
Architecture: all
Depends: libtaskmanager6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libtaskmanager6
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-workspace-data
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-workspace-dbg
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: plasma-workspace-wayland
Architecture: all
Depends: plasma-workspace, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: sddm-theme-breeze
Architecture: all
Depends: plasma-workspace, sddm, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## plasma-workspace 6.5.5+p24.04+vstable+git20260203.0850

=== debian/changelog ===
plasma-workspace (4:6.5.5+p24.04+vstable+git20260203.0850-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 08:50:24 +0000

## plasma-workspace 6.5.5+p24.04+vunstable+git20260202.0959

=== debian/changelog ===
plasma-workspace (4:6.5.5+p24.04+vunstable+git20260202.0959-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 10:00:13 +0000

## plasma-workspace 6.5.5+p24.04+vunstable+git20260203.2308

=== debian/changelog ===
plasma-workspace (4:6.5.5+p24.04+vunstable+git20260203.2308-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 03 Feb 2026 23:08:44 +0000
